#!/bin/bash

[[ -z `command -v  ffmpeg` ]] && echo "No ffmpeg" && exit 1

counter=0
for i in *.mp4
do

	resol=$(ffprobe -show_entries stream=width -select_streams v:0 -v error "$i" | grep width | sed 's/width=//g')
        echo $resol - $i
        [[ resol -gt 1280 ]] && echo '== Converting ' $i && ffmpeg -y -i "$i" -vf scale=1280:720 -framerate 30 "$(echo $i | sed 's/.mp4/_720p30.mp4/')" && echo 'RM!!!' && sleep 3 && rm "$i"
	echo $i
        echo '=='
	done
echo $counter
